Package tigase.xmpp

# Enum Class SpamReportsConsumer.ReportType

java.lang.Object
java.lang.Enum<SpamReportsConsumer.ReportType>
tigase.xmpp.SpamReportsConsumer.ReportType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpamReportsConsumer.ReportType>`, `Constable`

Enclosing interface:
  SpamReportsConsumer

public static enum SpamReportsConsumer.ReportType extends Enum<SpamReportsConsumer.ReportType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `abuse`
  `spam`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpamReportsConsumer.ReportType`
  `fromElement(Element element)`
  `static SpamReportsConsumer.ReportType`
  `fromReport(Element report)`
  `static SpamReportsConsumer.ReportType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpamReportsConsumer.ReportType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### abuse

    public static final SpamReportsConsumer.ReportType abuse

  - ### spam

    public static final SpamReportsConsumer.ReportType spam

- ## Method Details

  - ### values

    public static SpamReportsConsumer.ReportType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpamReportsConsumer.ReportType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromReport

    public static SpamReportsConsumer.ReportType fromReport(Element report)

  - ### fromElement

    public static SpamReportsConsumer.ReportType fromElement(Element element)